Subject: Re: NAPI-ized tulip patch against 2.4.20-rc1

From: Ben Greear <[email-masked]>
Date: Thu, 07 Nov 2002 13:25:54 -0800

Robert Olsson wrote:
> [email-masked] writes:
>  > On Thu, 7 Nov 2002, jamal wrote:
>  > > Trash the machines harder. Try using smaller packets;
>  > 
>  > They are already dropping packets, I thought I'd try to get a slower run 
>  > to work cleanly before trying something faster.  Precision is more
>  > important to me than absolute throughput at this point.
> 
> 
>  If you need excessive buffering this gives latency and jitter which is 
>  considered bad for network protocols and worse for test equipment.

It depends on the goals of the test, but I agree in principle :)

>  
>  > Initial run with 256 sized rx-ring (and skb-recycle) shows better
>  > performance (than with 1024 rx-ring)
>  
>  Packet size? Expect eventual effects when there is very high pressure on 
>  the packet memory system. 

Packet size has been 1514 for all my recent tests.

For an extended 256 rx-ring run (4kpps send + rcv, 1514 byte packet, 4 ports),
I see about 9k dropped packets per 55 million sent & received.

Ben

>  Cheers.
> 					--ro

-- 
Ben Greear <[email-masked]>       <Ben_Greear AT excite.com>
President of Candela Technologies Inc      http://www.candelatech.com
ScryMUD:  http://scry.wanfear.com     http://scry.wanfear.com/~greear